import logging
from threading import RLock


class SubscriptionService(object):

    def __init__(self, aspace):
        self.logger = logging.getLogger(__name__)
        self.loop = None
        self.aspace = aspace
        self.subscriptions = {}
        self._sub_id_counter = 77
        self._lock = RLock()